# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json

description: 'SharePoint CSV Import Example'

prompts:
  - 'Please translate the following text to {{language}}: {{input}}'

providers:
  - openai:chat:gpt-5.4
  - openai:chat:gpt-5.4-mini
  - anthropic:messages:claude-sonnet-4-6

# Replace with your SharePoint URL to the CSV file
tests: https://yourcompany.sharepoint.com/sites/yoursite/Shared%20Documents/test-cases.csv
# Optional: Override the LLM grader for model-graded metrics
# defaultTest:
#   options:
#     provider:
#       text:
#         id: openai:chat:gpt-5.4-mini
